ATA_DEV_REREAD_ID(9)

NAME
ata_dev_reread_id - Re-read IDENTIFY data

SYNOPSIS

int ata_dev_reread_id(struct ata_device * dev, unsigned int readid_flags);

ARGUMENTS

dev
    target ATA device

readid_flags
    read ID flags

DESCRIPTION

Re-read IDENTIFY page and make sure dev is still attached to the port.

LOCKING

Kernel thread context (may sleep)

RETURNS

0 on success, negative errno otherwise

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT